/* Update playerdata */
UPDATE PlayerData SET EventValue = -1, EventStringValue = '' WHERE EventName = "ThemeSuffix";

/* Remove old levels */
delete from LevelInfo where id > 0 AND id <= 1000;

/* Add new levels */
INSERT INTO "LevelInfo" VALUES(1,'LN_ROCK_HARD_PLACE','/Levels/rock_is_a_hard_place',0,'LP_ONE',0,0,0,22.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(2,'LN_YELLOW_BRICK_ROAD','/Levels/yellow_brick_road',0,'LP_ONE',0,0,0,23.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(3,'LN_JUMP_ON_IT','/Levels/jump_on_it',0,'LP_ONE',0,0,0,19.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(4,'LN_DONT_DILLY_DALLY','/Levels/itll_grow_on_you',0,'LP_ONE',0,0,0,23.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(21,'LN_SMASH_THEM_TOGETHER','/Levels/smash_them_together',0,'LP_TWO',0,0,1,20.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(22,'LN_INTO_THE_CAVE','/Levels/into_the_cave',0,'LP_TWO',0,0,0,28.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(23,'LN_LONG_JOURNEY','/Levels/long_journey',0,'LP_TWO',0,0,0,40.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(24,'LN_THERE_AND_BACK','/Levels/there_and_back_again',0,'LP_TWO',0,0,0,40.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(25,'LN_HURRY','/Levels/hurry',0,'LP_TWO',0,0,0,20.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(40,'LN_MINE_FIELD','/Levels/mine_field',0,'LP_THREE',0,0,1,40.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(41,'LN_AROUND_THE_BOMB','/Levels/around_the_bomb',0,'LP_THREE',0,0,0,32.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(42,'LN_LAVA_TIMING','/Levels/lava_timing',0,'LP_THREE',0,0,0,38.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(43,'LN_MULTITOUCH','/Levels/multitouch',0,'LP_THREE',0,0,0,33.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(44,'LN_BOMB_CHAIN','/Levels/bomb_chain',0,'LP_THREE',0,0,0,28.0,0,-1,0,0,0,0,NULL,NULL,1,0);
INSERT INTO "LevelInfo" VALUES(80,'LN_HOURGLASS','/Levels/hourglass',0,'LP_BONUS',0,0,0,50.0,0,-1,0,0,0,0,NULL,NULL,1,1);

/* unlock the next level in the set */
UPDATE LevelInfo SET Unlocked = 1 WHERE rowid = 1 AND ID = 1 AND EXISTS (select 1 from LevelInfo where rowid = 0 AND TimesFinished > 0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, PackName, ParTime, IgnoreInStarCount, Type, StartDate, EndDate) VALUES (2006, 'LN_MAKE_A_WISH', '/Levels/make_a_wish', 'LP_SECRET', 44, 1, 2, '2012-09-15 00:00:00', '2012-09-29 00:00:00');


/* Delete all level packs */
drop table LevelPackInfo;
CREATE TABLE "LevelPackInfo" ("ID" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE , "PackName" TEXT NOT NULL  DEFAULT LP_, "Unlocked" BOOL NOT NULL  DEFAULT 0, "HasPlayed" BOOL NOT NULL  DEFAULT 0, "StarsRequired" INTEGER DEFAULT 30, "TileTexture" TEXT NOT NULL  DEFAULT tile_world_01, "LightingColor" TEXT NOT NULL  DEFAULT "255 255 255", "CurtainTexture" TEXT NOT NULL  DEFAULT shower_curtain_01, "LockColor" TEXT NOT NULL  DEFAULT "255 255 255", "HasAlerted" BOOL NOT NULL  DEFAULT 0, "PackType" INTEGER NOT NULL  DEFAULT 0, 'Hidden' BOOL NOT NULL DEFAULT 0, 'PackIcon' TEXT, 'StartDate' DATETIME, 'EndDate' DATETIME, 'Storyline' INTEGER NOT NULL DEFAULT 0, 'IAP_item_id' TEXT NOT NULL DEFAULT '', 'Bought' BOOL NOT NULL DEFAULT 0, 'DuckTextureSuffix' TEXT DEFAULT '', 'FB_AlbumName' TEXT NOT NULL DEFAULT '', 'DisplayPackName' TEXT NOT NULL DEFAULT '', "LS_Unlocked" BOOL DEFAULT 0, GrayType BOOL NOT NULL DEFAULT 0);
INSERT INTO "LevelPackInfo" VALUES(-99,'LP_SECRET',0,0,30,'tile_world_01','255 255 255','shower_curtain_01','255 255 255',0,0,0,NULL,NULL,NULL,0,'',0,'','','','',0);
INSERT INTO "LevelPackInfo" VALUES(-21,'LP_BURSTLY_REWARD',0,0,30,'tile_world_01','255 255 255','shower_curtain_01','255 255 255',0,0,0,NULL,NULL,NULL,0,'',0,'','','','',0);
INSERT INTO "LevelPackInfo" VALUES(-1,'LP_BONUS',0,0,30,'tile_world_01','255 255 255','shower_curtain_01','255 255 255',0,0,0,NULL,NULL,NULL,0,'',0,'','','','',0);
INSERT INTO "LevelPackInfo" VALUES(10,'LP_ONE',1,0,0,'tile_yellow','188 153 71','shower_curtain_01','255 255 255',0,0,0,'world_select_00',NULL,NULL,0,'',0,'','Swampy 01 - Meet Swampy','',0,0);
INSERT INTO "LevelPackInfo" VALUES(11,'LP_TWO',0,0,8,'tile_purple','193 152 192','shower_curtain_02','102 250 255',0,0,0,'world_select_01',NULL,NULL,0,'',0,'','Swampy 02 - Troubled Waters','',0,0);
INSERT INTO "LevelPackInfo" VALUES(12,'LP_THREE',0,0,16,'tile_green','91 193 165','shower_curtain_03','217 102 255',0,0,0,'world_select_02',NULL,NULL,0,'',0,'','Swampy 03 - Under Pressure','',0,0);
INSERT INTO "LevelPackInfo" VALUES(13,'LP_FOUR',0,0,130,'tile_magenta','192 137 177','shower_curtain_04','181 255 102',0,0,1,'world_select_03',NULL,NULL,0,'',0,'','Swampy 04 - Sink or Swim','',0,0);
INSERT INTO "LevelPackInfo" VALUES(14,'LP_FIVE',0,0,185,'tile_yellow','188 153 71','shower_curtain_01','102 250 255',0,0,1,'world_select_04',NULL,NULL,0,'',0,'','Swampy 05 - Change is Good','',0,0);
INSERT INTO "LevelPackInfo" VALUES(15,'LP_SIX',0,0,245,'tile_purple','193 152 192','shower_curtain_02','217 102 255',0,0,1,'world_select_05',NULL,NULL,0,'',0,'','Swampy 06 - Boiling Point','',0,0);
INSERT INTO "LevelPackInfo" VALUES(16,'LP_SEVEN',0,0,305,'tile_green','91 193 165','shower_curtain_03','181 255 102',0,0,1,'world_select_06',NULL,NULL,0,'',0,'','Swampy 07 - Stretched Thin','',0,0);
INSERT INTO "LevelPackInfo" VALUES(17,'LP_EIGHT',0,0,365,'tile_magenta','192 137 177','shower_curtain_04','102 250 255',0,0,1,'world_select_07',NULL,NULL,0,'',0,'','Swampy 08 - Caution to the Wind','',0,0);
INSERT INTO "LevelPackInfo" VALUES(18,'LP_NINE',0,0,425,'tile_yellow','188 153 71','shower_curtain_01','217 102 255',0,0,1,'world_select_08',NULL,NULL,0,'',0,'','Swampy 09 - Rising Tide','',0,0);
INSERT INTO "LevelPackInfo" VALUES(19,'LP_TEN',0,0,485,'tile_purple','193 152 192','shower_curtain_02','181 255 102',0,0,1,'WMW_world_select_09',NULL,NULL,0,'',0,'','Swampy 10 - Out to Dry','',0,0);
INSERT INTO "LevelPackInfo" VALUES(90,'FULL_VERSION',1,0,30,'tile_world_01','255 255 255','shower_curtain_01','255 255 255',0,1,0,'world_select_more',NULL,NULL,0,'',0,'','','','',0);
INSERT INTO "LevelPackInfo" VALUES(91,'MORE_DISNEY',1,0,30,'tile_world_01','255 255 255','shower_curtain_01','255 255 255',0,1,0,'WMW_Level_Icon_perry_demo',NULL,NULL,0,'',0,NULL,'','','',0);

/* Reset level and collectible based achievements*/
UPDATE Achievements SET PercentComplete=0.0 WHERE ID <> 'ACH_WHO';

/* Reset collectibles*/
UPDATE CollectibleInfo SET Unlocked=0, HasViewed=0;

/* Add achievements */
INSERT INTO "Achievements" VALUES('','ACH_LP_TWO',0,'ACH_LP_TWO_HOWTO','ACH_LP_TWO_DESC','ACH_LP_TWO.png',0.0,0,'ACH_LP_TWO_FB');
INSERT INTO "Achievements" VALUES('','ACH_LP_THREE',0,'ACH_LP_THREE_HOWTO','ACH_LP_THREE_DESC','ACH_LP_THREE.png',0.0,0,'ACH_LP_THREE_FB');
INSERT INTO "Achievements" VALUES('','ACH_THREESTAR_LP_TWO',0,'ACH_THREESTAR_LP_TWO_HOWTO','ACH_THREESTAR_LP_TWO_DESC','ACH_THREESTAR_LP_TWO.png',0.0,0,'ACH_THREESTAR_LP_TWO_FB');
INSERT INTO "Achievements" VALUES('','ACH_THREESTAR_LP_THREE',0,'ACH_THREESTAR_LP_THREE_HOWTO','ACH_THREESTAR_LP_THREE_DESC','ACH_THREESTAR_LP_THREE.png',0.0,0,'ACH_THREESTAR_LP_THREE_FB');
INSERT INTO "Achievements" VALUES('','ACH_SECRET_LEVEL',0,'ACH_SECRET_LEVEL_HOWTO','ACH_SECRET_LEVEL_DESC','ACH_SECRET_LEVEL.png',0.0,0,'ACH_SECRET_LEVEL_FB');

/* change rate me prompt interval */
UPDATE PlayerData SET EventValue = 5 WHERE EventName = "RateMePromptNumToPrompt";

/* Update db version */
UPDATE Settings SET Value = 11 WHERE Name = 'DatabaseVersion';
